/* -*- mode: C; c-file-style: "stroustrup"; indent-tabs-mode: nil; -*-
 *
 * @file hildon-navigator-main.h
 *
 */
/*
 * This file is part of hildon-navigator
 *
 * Copyright (C) 2005 Nokia Corporation.
 *
 * Contact: Karoliina Salminen <karoliina.t.salminen@nokia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */
#ifndef HILDON_NAVIGATOR_MAIN_H
#define HILDON_NAVIGATOR_MAIN_H

G_BEGIN_DECLS

/* Plugin names */
#define LIBTN_MAIL_PLUGIN        "libtn_mail_plugin.so"
#define LIBTN_BOOKMARK_PLUGIN    "libtn_bookmark_plugin.so"

/* Max. amount of plugin symbols */
#define MAX_SYMBOLS 4

/* Hardcoded pixel values */
#define HILDON_NAVIGATOR_WIDTH 80
#define BUTTON_HEIGHT 90

/* Type definitions for the plugin API */
typedef void *(*PluginCreateFn)(void);
typedef void (*PluginDestroyFn)(void *data);
typedef GtkWidget *(*PluginGetButtonFn)(void *data);
typedef void (*PluginInitializeMenuFn)(void *data);

G_END_DECLS

#endif /* HILDON_NAVIGATOR_MAIN_H */

 
